<%@ page contentType="text/html;charset=UTF-8" %>
<script>
    $(document).ready(function () {
        $('#dataTable').bootstrapTable({
            //请求方法
            method: 'post',
            //类型json
            dataType: "json",
            contentType: "application/x-www-form-urlencoded",
            //显示检索按钮
            showSearch: true,
            //显示刷新按钮
            showRefresh: true,
            //显示切换手机试图按钮
            showToggle: true,
            //显示 内容列下拉框
            showColumns: true,
            //显示到处按钮
            showExport: true,
            //显示切换分页按钮
            showPaginationSwitch: true,
            //最低显示2行
            minimumCountColumns: 2,
            //是否显示行间隔色
            striped: true,
            //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
            cache: false,
            //是否显示分页（*）
            pagination: true,
            //排序方式
            sortOrder: "asc",
            //初始化加载第一页，默认第一页
            pageNumber: 1,
            //每页的记录行数（*）
            pageSize: 10,
            //可供选择的每页的行数（*）
            pageList: [10, 25, 50, 100],
            //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
            url: "${ctx}/finance/budget/financeData",
            //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
            //queryParamsType:'',
            ////查询参数,每次调用是会带上这个参数，可自定义
            queryParams: function (params) {
                var searchParam = $("#searchForm").serializeJSON();
                searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
                searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
                searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
                return searchParam;
            },
            //分页方式：client客户端分页，server服务端分页（*）
            sidePagination: "server",
            contextMenuTrigger: "right",//pc端 按右键弹出菜单
            contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
            contextMenu: '#context-menu',
            onContextMenuItem: function (row, $el) {
                if ($el.data("item") == "edit") {
                    edit(row.id);
                } else if ($el.data("item") == "view") {
                    view(row.id);
                } else if ($el.data("item") == "delete") {
                    jp.confirm('确认要删除该数据记录吗？', function () {
                        jp.loading();
                        jp.get("${ctx}/sg/settlement/delete?id=" + row.projectId, function (data) {
                            if (data.success) {
                                $('#dataTable').bootstrapTable('refresh');
                                jp.success(data.msg);
                            } else {
                                jp.error(data.msg);
                            }
                        })

                    });

                }
            },
            onClickRow: function (row, $el) {
            },
            onLoadSuccess: function () {  //加载成功时执行
                getTdValue();
            },
            onShowSearch: function () {
                $("#search-collapse").slideToggle();
            },
            columns: [[
                {
                    field: 'projectId',
                    title: '项目编号',
                    valign:"middle",
                    align:"center",
                    width: '10%',
                    rowspan: 2
                }
                ,{
                    field: 'projectName',
                    title: '项目名称',
                    valign:"middle",
                    align:"center",
                    width: '30%',
                    rowspan: 2
                }
                ,{
                    field: 'projectType',
                    title: '项目类型',
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    rowspan: 2
                }
                ,{
                    field: 'totalInvestment',
                    title: '概预算信息',
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    rowspan: 2
                }
                ,{
                    field: 'donorMaterialCheck',
                    title: '甲供材<br/>领退料检查'
                    , formatter: function (value, row, index) {
                        value = jp.unescapeHTML(value);
                        if (value == '未通过') {
                            return "<a style='color: red' href='javascript:view(\"" + row.projectId + "\")'>" + value + "</a>";
                        } else if (value == '通过') {
                            return "<a style='color: #676a6c' href='javascript:view(\"" + row.projectId + "\")'>" + value + "</a>";
                        } else {
                            return "<a style='color: blue' href='javascript:view(\"" + row.projectId + "\")'>" + value + "</a>";
                        }
                    },
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    rowspan: 2
                },{
                    title: '费用检查',
                    valign:"middle",
                    align:"center",
                    width:'30%',
                    colspan: 3,
                    rowspan: 1
                }
            ],[
                {
                    field: 'constructionCostCheck',
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    title: '施工费检查',
                    colspan: 1
                }
                ,{
                    field: 'designCostCheck',
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    title: '设计费检查',
                    colspan: 1
                },{
                    field: 'supervisorCostCheck',
                    valign:"middle",
                    align:"center",
                    width:'10%',
                    title: '监理费检查',
                    colspan: 1
                }
            ]]
    });

        if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端
            $('#dataTable').bootstrapTable("toggleView");
        }

        $('#dataTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
            'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', !$('#dataTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#dataTable').bootstrapTable('getSelections').length != 1);
        });

        $("#btnImport").click(function () {
            jp.open({
                type: 2,
                area: [500, 200],
                auto: true,
                title: "导入数据",
                content: "${ctx}/tag/importExcel",
                btn: ['确定', '关闭'],
                btn1: function (index, layero) {
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    iframeWin.contentWindow.importExcel('${ctx}/finance/budget/importErp', function (data) {
                        if (data.success) {
                            if (data.msg != '') {
                                jp.alert(data.msg);
                            }else {
                                jp.success('导出成功');
                            }
                            if (data.errorCode != "9999"){
                                jp.downloadFile('${ctx}/sg/financial/erpCredit/export','finalAccount');//给个name是为了能够在某些条件下下载两个文件
                            }
                            refresh();
                        } else {
                            jp.alert(data.msg);
                            refresh();
                        }
                        jp.close(index);
                    });//调用保存事件
                    return false;
                },
                btn2: function (index) {
                    jp.close(index);
                }
            });
        });


        $("#export").click(function () {//导出Excel文件
            let projectId = $('#projectId').val();
            let projectName = $('#projectName').val();
            jp.downloadFile('${ctx}/finance/budget/exportFinanceExcel?projectId=' + projectId + '&projectName=' + projectName);
        });

        $("#search").click("click", function () {// 绑定查询按扭
            $('#dataTable').bootstrapTable('refresh');
            getTdValue();
        });

        $("#reset").click("click", function () {// 绑定查询按扭
            $("#searchForm  input").val("");
            $("#searchForm  select").val("");
            $("#searchForm  .select-item").html("");
            $('#dataTable').bootstrapTable('refresh');
            getTdValue();
        });

    });

function getIdSelections() {
    return $.map($("#dataTable").bootstrapTable('getSelections'), function (row) {
        return row.projectId
    });
}

function getTdValue() {
    var tableId = document.getElementById("dataTable");
    if (tableId.rows.length>=3){
        if (tableId.rows[2].cells[0].innerHTML != '没有找到匹配的记录'){
        for(var i = 2;i <tableId.rows.length;i++) {
            if(tableId.rows[i].cells[4].innerHTML!="-" && tableId.rows[i].cells[4].innerHTML=="未通过"){
                tableId.rows[i].cells[4].setAttribute("style","color: red;text-align:center;vertical-align:middle;");
            }
            if(tableId.rows[i].cells[4].innerHTML!="-" && tableId.rows[i].cells[4].innerHTML=="未检查"){
                tableId.rows[i].cells[4].setAttribute("style","color: blue;text-align:center;vertical-align:middle;");
            }

            if(tableId.rows[i].cells[5].innerHTML!="-" && tableId.rows[i].cells[5].innerHTML=="未通过"){
                tableId.rows[i].cells[5].setAttribute("style","color: red;text-align:center;vertical-align:middle;");
            }
            if(tableId.rows[i].cells[5].innerHTML!="-" && tableId.rows[i].cells[5].innerHTML=="未检查"){
                tableId.rows[i].cells[5].setAttribute("style"," color: blue;text-align:center;vertical-align:middle;");
            }

            if(tableId.rows[i].cells[6].innerHTML!="-" && tableId.rows[i].cells[6].innerHTML=="未通过"){
                tableId.rows[i].cells[6].setAttribute("style","color: red;text-align:center;vertical-align:middle;");
            }
            if(tableId.rows[i].cells[6].innerHTML!="-" && tableId.rows[i].cells[6].innerHTML=="未检查"){
                tableId.rows[i].cells[6].setAttribute("style"," color: blue;text-align:center;vertical-align:middle;");
            }

            if(tableId.rows[i].cells[7].innerHTML!="-" && tableId.rows[i].cells[7].innerHTML=="未通过"){
                tableId.rows[i].cells[7].setAttribute("style","color: red;text-align:center;vertical-align:middle;");
            }
            if(tableId.rows[i].cells[7].innerHTML!="-" && tableId.rows[i].cells[7].innerHTML=="未检查"){
                tableId.rows[i].cells[7].setAttribute("style"," color: blue;text-align:center;vertical-align:middle;");
            }
        }
        }
    }
}


function deleteAll() {
    jp.confirm('确认要删除该数据记录吗？', function () {
        jp.loading();
        jp.get("${ctx}/finance/budget/deleteAll?ids=" + getIdSelections(), function (data) {
            if (data.success) {
                $('#dataTable').bootstrapTable('refresh');
                jp.success(data.msg);
            } else {
                jp.error(data.msg);
            }
        })

    })
}

//刷新列表
function refresh() {
    $('#dataTable').bootstrapTable('refresh');
}

function edit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑', "${ctx}/finance/budget/form?id=" + id, '800px', '500px');
}

function view(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openTab("${ctx}/donor/material/list?projectId=" +id,'甲供材物料', true);
}
</script>